package solver

import (
	"fmt"
)

func Run() {
	solver := Solver{}
	solver.row1 = "769104802"
	solver.row2 = "154800060"
	solver.row3 = "002700150"
	solver.row4 = "600900308"
	solver.row5 = "045328670"
	solver.row6 = "328670945"
	solver.row7 = "597410280"
	solver.row8 = "006283090"
	solver.row9 = "200590006"

	solver.load_blocks()
	fmt.Println("Total blocks:", len(solver.blocks))

	// Find rows that fit with the entered rows
	solver.find_blocks(&solver.row1, &solver.row1s)
	solver.find_blocks(&solver.row2, &solver.row2s)
	solver.find_blocks(&solver.row3, &solver.row3s)
	solver.find_blocks(&solver.row4, &solver.row4s)
	solver.find_blocks(&solver.row5, &solver.row5s)
	solver.find_blocks(&solver.row6, &solver.row6s)
	solver.find_blocks(&solver.row7, &solver.row7s)
	solver.find_blocks(&solver.row8, &solver.row8s)
	solver.find_blocks(&solver.row9, &solver.row9s)

	solver.iter = int64(len(solver.row1s)) * int64(len(solver.row2s)) * int64(len(solver.row3s)) * int64(len(solver.row4s)) * int64(len(solver.row5s)) * int64(len(solver.row6s)) * int64(len(solver.row7s)) * int64(len(solver.row8s)) * int64(len(solver.row9s))
	fmt.Println("Number of iterations:", solver.iter)

	solver.check_combinations()

	fmt.Println(solver.solutions)

}
